database_api.list_owner_histories
Purpose
Returns a list of owner authority histories. Parameters: start:array, limit:int
start (array) | limit (int) | |
|---|---|---|
["steemit", "1970-01-01T00:00:00"] | 10 | Queries the owner history starting from account named "steemit" on "1970-01-01T00:00:00", limit 10 results. |
["alice", "1970-01-01T00:00:00"] | 10 | Queries the owner history starting from account named "alice", limit 10 results. |
Also see: Paginated API Methods
Parameters
PARAMETERS
json
{
"start": null,
"limit": 0
}Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_owner_histories",
"params": {
"start": [
"steemit",
"1970-01-01T00:00:00"
],
"limit": 10
},
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_owner_histories",
"params": {
"start": [
"alice",
"1970-01-01T00:00:00"
],
"limit": 10
},
"id": 1
}'Response
RESPONSE
json
{
"owner_auths": [
{
"id": 129742,
"account": "a-m",
"previous_owner_authority": {
"weight_threshold": 1,
"account_auths": [],
"key_auths": [
[
"STM7J6gXoztfTscNzmzL11DFtTPCFCTeZzsFtFxsQrQw91KnN1YxQ",
1
]
]
},
"last_valid_time": "2018-11-24T02:35:27"
}
]
}